
From: Arjan van de Ven <arjanv@redhat.com>

One of my machines prints the following in dmesg during boot;

CPU: Trace cache: 4K uops<6>CPU: L2 cache: 256K

cause is a missing \n being printed; fix below



---

 arch/i386/kernel/cpu/intel.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN arch/i386/kernel/cpu/intel.c~x86-printk-fix arch/i386/kernel/cpu/intel.c
--- 25/arch/i386/kernel/cpu/intel.c~x86-printk-fix	2004-02-21 20:01:38.000000000 -0800
+++ 25-akpm/arch/i386/kernel/cpu/intel.c	2004-02-21 20:01:38.000000000 -0800
@@ -231,6 +231,8 @@ static void __init init_intel(struct cpu
 			printk (KERN_INFO "CPU: L1 I cache: %dK", l1i);
 		if ( l1d )
 			printk(", L1 D cache: %dK\n", l1d);
+		else
+			printk("\n");
 		if ( l2 )
 			printk(KERN_INFO "CPU: L2 cache: %dK\n", l2);
 		if ( l3 )

_
